Name:           xinput_calibrator
Version:        0.7.5
Release:        %mkrel 2
Summary:        A generic touchscreen calibration program for X.Org
Summary(fr):    Programme de calibrage d'écran tactile générique pour X.Org
Group:          System/X11
License:        MIT
URL:            http://www.freedesktop.org/wiki/Software/xinput_calibrator
Source0:        http://github.com/downloads/tias/xinput_calibrator/xinput_calibrator-%{version}.tar.xz

BuildRequires:  libxtst-devel
BuildRequires:  gtk2-devel


%description
xinput_calibrator is a program for calibrating your touchscreen, when using
the X Window System.
It currently features:
 - works for any standard Xorg touchscreen driver (uses XInput protocol)
 - mis-click detection (prevents bogus calibration)
 - dynamically recalibrates the evdev driver
 - outputs the calibration as xorg.conf.d snippet or HAL policy file
 - and more

%description -l fr
xinput_calibrator est un programme pour calibrer votre écran tactile, quand
le système X Window est utilisé.
Il propose actuellement:
 - fonctionnement sur n'importe quel pilote Xorg d'écran tactile standard
 (utilise le protocole XInput)
 - détection des faux-clics (prévient les calibrations boguées)
 - recalibre dynamiquement le pilote evdev
 - fragmente les sorties de calibration pour xorg.conf.d ou fichier de règle
 HAL
 - et plus encore


%prep
%setup -q


%build
#autoreconf -vi
./autogen.sh
%configure --with-gui=gtkmm \
           --with-gui=x11
make


%install
make install INSTALL="install -p" DESTDIR=%{buildroot}

#desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat >> %{buildroot}%{_datadir}/applications/xinput_calibrator.desktop << EOF
[Desktop Entry]
Name=Calibrate Touchscreen
Name[de]=Touchscreen Kalibrieren
Name[nl]=Touchscreen Kalibreren
Comment=Run the calibration tool for touchscreens
Exec=/bin/sh -c "xinput_calibrator; cat"
Terminal=true
Type=Application
Icon=xinput_calibrator
StartupNotify=true
Categories=System;Settings;
Categories=Utility;X-MandrivaLinux-System-Configuration-Hardware;
EOF


%files
%doc README COPYING Changelog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Fri Dec 09 2016 adrianomorselli <adrianomorselli> 0.7.5-2uplos2016
- rebuild

* Tue Aug 09 2016 bb <bb> 0.7.5-2pclos2016
- fix rpmgroup

* Sat Jun 11 2016 Galen Seaman <galen.seaman@charter.net> 0.7.5-1
- build for PCLinuxOS
